\documentclass{standalone}
\usepackage{tikz}
\begin{document}
\begin{tikzpicture}[>=latex]

  % charge with velocity
  \tikzset{
    charge/.pic={
      \draw[->,orange] (0,0) node[circle,fill=white,draw] {-}
      -- (180:1);
    }
  }
  
  % conductor
  \draw[left color=orange, right color=orange!30] (-4,-1.2) rectangle (4,1.2);

  % X axis
  \draw[->,gray] (-5,0) -- (5,0) node[below] {X};
  
  % Y axis
  \draw[->,gray] (0,-5) -- (0,5) node[left] {Y};

  % magnetic field
  \node[blue] at (3,3) {$\vec{B}$};
  \foreach \px in {-4,-2,0,2,4} {
    \foreach \py in {-4,-2,0,2,4} {
      \begin{scope}[xshift=\px cm,yshift=\py cm]
        \draw[blue] (-2pt,-2pt) -- (2pt,2pt);
        \draw[blue] (2pt,-2pt) -- (-2pt,2pt);
      \end{scope}
    }
  }

  % electric field
  \draw[->,orange] (1,-0.5) node[right] {$\vec{E}$} -- +(180:1.5);
  
  % charges
  \pic at (2,0.5) {charge};
  \pic at (-2,-0.5) {charge};

  % charge with forces
  \coordinate (C) at (-1,0.5);
  \draw[->] (C) -- node[above] {$\vec{F}_e$} +(0:1.5);
  \draw[->] (C) -- node[above] {$\vec{F}_m$} +(180:1.5);
  \pic at (C) {charge};
  
  % positive charges
  \foreach \py in {-1,-0.5,0,0.5,1} {
    \node at (3.6,\py) {+};
  }
  
  % negative charges
  \foreach \py in {-1,-0.5,0,0.5,1} {
    \node at (-3.6,\py) {-};
  }

  % velocity
  \draw[->] (0,0) -- (0,-3) node[right] {$\vec{v}$};
  
\end{tikzpicture}
\end{document}
